Roles
3 endpoints under /api/v1/roles.
List the organization's custom roles
Responses
200 Org-authored roles.
Response body
rolesCustomRole[]requiredShow fields
idstringrequiredrawIdstringrequirednamestringrequireddescriptionstringrequiredpermissionsstring[]requiredscopablebooleanrequiredcreatedBystringrequiredcreatedAtstring · date-timerequired
400 Invalid role (bad name or unknown permissions).
Response body
errorstringrequired
401 Unauthenticated.
Response body
errorstringrequired
403 Requires role management (owner/admin in v1).
Response body
errorstringrequired
Author a custom role
Request body
namestringrequireddescriptionstringpermissionsstring[]required
Responses
201 The created custom role.
Response body
idstringrequiredrawIdstringrequirednamestringrequireddescriptionstringrequiredpermissionsstring[]requiredscopablebooleanrequiredcreatedBystringrequiredcreatedAtstring · date-timerequired
400 Invalid role (bad name or unknown permissions).
Response body
errorstringrequired
401 Unauthenticated.
Response body
errorstringrequired
403 Requires role management (owner/admin in v1).
Response body
errorstringrequired
Delete a custom role
Parameters
-
idpath string required
Responses
204 Deleted.
400 Invalid role (bad name or unknown permissions).
Response body
errorstringrequired
401 Unauthenticated.
Response body
errorstringrequired
403 Requires role management (owner/admin in v1).
Response body
errorstringrequired
404 Unknown custom role.
Response body
errorstringrequired